//=============================================================================
// AdminKeypad by Lurker (2011-05-24)
//=============================================================================
class AdminKeypad extends Keypad
	config(LurkerMod);

var private config string AdminCode;
var() string msgFrob;

function HackAction(Actor Hacker, bool bHacked)
{
	local DeusExPlayer Player;
	local AdminKeypad AK;

	if (keypadwindow != None)
		return;

	if (AdminCode == "")
		AdminCode = validCode;

	foreach AllActors(Class'LurkerMod.AdminKeypad',AK)
	{
		if (AK != None)
			AK.validCode = AdminCode;
		continue;
	}

	Player=DeusExPlayer(Hacker);

	if (Player != None)
	{
		Player.ActivateKeypadWindow(self,bHacked);
		Player.ClientMessage(msgFrob);
	}
}

defaultproperties
{
	bHackable=False
	ItemName="Admin Keypad"
	msgFrob="ENTER CODE FOR ADMIN AREA ACCESS ..."
	msgNotHacked="Admin Keypad is secure!"
	successSound=Sound'DeusExSounds.Generic.Beep5'
	Mesh=LodMesh'DeusExDeco.Keypad2'
	CollisionRadius=4.440000
	CollisionHeight=7.410000
}
